Cannot specify initial Organization or Location via Katello installer
Status: Closed   

Priority: Normal   

Assignee: Eric Helms   

Category: Rails   

Target version: 1.6.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link: 1125241 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1618

  

Description

Changes in the Katello installer post-enginification have resulted in the specification of initial seed data by a user being broken. This

issue will requires updates to the Katello puppet module and the mechanism by which the seed script extracts those values.

Related issues:

Related to Foreman - Bug #6891: rake db:seed failure on creating organization Closed 08/01/2014

Associated revisions

Revision 81ddcf5b - 06/25/2014 04:21 PM - Eric Helms

Refs #5029: Allow initial organization and location to be specified during seed.

Initial seed data can now be specified by running:

rake db:seed SEED_INITIAL_ORGANIZATION=MyOrg SEED_INITIAL_LOCATION=MyLoc

This also has the side effect of allowing creation of multiple org/location

by running seed with different values for each.

Revision 3b2f176c - 06/25/2014 06:22 PM - Eric Helms

Merge pull request #4336 from ehelms/refs-5029

Refs #5029: Allow initial organizationd and location to be specified dur...

History

#1 - 05/06/2014 02:45 AM - Mike McCune

ideally the user could specify:

--admin-user=<username>

--admin-password=<password>

--first-organization=<defaults to ACME_Corporation>

--first-location=<defaults to Default>

#2 - 05/07/2014 10:08 PM - Mike McCune

One additional request:

set the first admin user's "Default" Org and Location to be the first-org and first-location specified above.  This will ensure that org and location will be

selected upon first login.

#3 - 06/05/2014 02:21 AM - Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#4 - 06/16/2014 12:19 PM - Eric Helms

- Target version changed from 45 to 48
#5 - 06/24/2014 07:26 PM - Eric Helms

- Status changed from New to Assigned

- Assignee set to Eric Helms

#6 - 06/28/2014 03:40 AM - Eric Helms

- translation missing: en.field_release set to 13

#7 - 07/07/2014 07:43 AM - Eric Helms

- Target version changed from 48 to 49

#8 - 07/25/2014 02:29 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1618 added

#9 - 07/28/2014 08:41 AM - Eric Helms

- Target version changed from 49 to 54

#10 - 07/29/2014 03:49 AM - Dominic Cleal

- Project changed from Katello to Foreman

- Category changed from Installer to Rails

- Target version changed from 54 to 1.8.0

- translation missing: en.field_release changed from 13 to 10

#11 - 07/30/2014 06:49 AM - Anonymous

- Target version changed from 1.8.0 to 1.7.5

#12 - 07/31/2014 08:02 AM - Eric Helms

- Subject changed from Cannot specify initial seed data via Katello installer to Cannot specify initial Organization or Location via Katello installer

#13 - 07/31/2014 08:03 AM - Eric Helms

- Status changed from Ready For Testing to Closed

#14 - 07/31/2014 08:05 AM - Eric Helms

- Bugzilla link set to 1125241

#15 - 08/04/2014 03:07 AM - Dominic Cleal

- Related to Bug #6891: rake db:seed failure on creating organization added
